Bug 1308640 - hammer task progress accepts NIL value for id parameter
hammer task progress accepts NIL value for id parameter
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin (Show other bugs)
6.1.6
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Amit Karsale
Roman Plevka
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 11:36 EST by Roman Plevka
Modified: 2017-08-04 09:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-04 09:19:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 17358 None None None 2016-11-16 06:50 EST

  None (edit)
Description Roman Plevka 2016-02-15 11:36:39 EST
Description of problem:
hammer displays a fake progress bar (always 0%) for task with null id

Version-Release number of selected component (if applicable):
rubygem-hammer_cli_katello-0.0.7.21-1.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. # hammer -v -u admin -p changeme  task progress --id=
or
# hammer -v -u admin -p changeme  task progress --id=''


Actual results:
# hammer -v -u admin -p changeme  task progress --id=
[                       ] [0%]

Expected results:
Error: missing param 'id' in parameters
or
Error: invalid 'id' parameter specified

Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:04:54 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 2 Adam Ruzicka 2016-11-16 06:50:50 EST
Created redmine issue http://projects.theforeman.org/issues/17358 from this bug
Comment 3 pm-sat@redhat.com 2017-01-05 11:07:30 EST
Upstream bug assigned to akarsale@redhat.com
Comment 4 Amit Karsale 2017-01-09 02:02:31 EST
PR submitted for the mentioned issue, can we have it verified and merged by if appropriate. 

https://github.com/theforeman/hammer-cli-foreman-tasks/pull/31
Comment 5 Bryan Kearney 2017-08-04 09:19:06 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.